package com.atguigu.ssyx.payment.service;

import java.util.Map;

/**
 * ClassName: WeixinService
 * Package: com.atguigu.ssyx.payment.controller.payment.service
 *
 * @author yovinchen
 * @Create 2023/10/13 10:32
 */
public interface WeixinService {
    /**
     * 调用微信支付系统生成预付单
     *
     * @param orderNo
     * @return
     */
    Map<String, String> createJsapi(String orderNo);

    /**
     * 调用微信支付系统接口查询订单支付状态
     *
     * @param orderNo
     * @return
     */
    Map<String, String> queryPayStatus(String orderNo);
}
